package cz.moneta.test.dsl.cagw.api.v2.external.client.kyc;

import cz.moneta.test.dsl.Harness;
import cz.moneta.test.dsl.cagw.api.v2.external.client.kyc.businesscard.BusinessCardBuilder;
import cz.moneta.test.harness.endpoints.cagw.CaGwEndpoint;
import cz.moneta.test.harness.support.rest.Builders;
import cz.moneta.test.harness.support.rest.RestRequest;

public class KycBuilder {
    private final Harness harness;

    public KycBuilder(Harness harness) {
        this.harness = harness;
    }

    public BusinessCardBuilder bussinesCard() {
        return new BusinessCardBuilder(harness);
    }

    private <RESP, B extends RestRequest<B, ?, RESP>> B getBuilder(Class<B> builderClass) {
        return Builders.newRestBuilder(builderClass, CaGwEndpoint.class, harness);
    }
}